
/*****
 *       Menu Definitions
 *****/
#define MENUApple		131
#define MENUFile		128
#define MENUEdit		129
#define MENUSettings	130

#define appleM			0
#define fileM			1
#define editM			2
#define settingsM		3

#define MItmAbout		1

#define MItmErr			1
#define MItmQuit		3

#define MItmUndo		1
#define MItmCut			3
#define MItmCopy		4
#define MItmPaste		5
#define MItmClear		6

#define MItmTherm		1
#define MItmNetwork		2

/*****
 *        Window ID
 *****/
#define WINDMain		128
#define WINDErrors		129


/*****
 *        Alert Definitions
 *****/
#define ALRTError	131

#define STRErrors	128

#define STRAnyError		1
#define STRNetError		2
#define STRParseError	3
#define STRStartError	4
#define STRGotNoError	5
#define STRInitError	6
#define STRAddrError	7
#define STRStreamError	8
#define STROpenError	9
#define STRGetting		10
#define STRTempOK		11


/* F & C scale window titles */
#define STRScales		129

#define STRFarenTitle	1
#define STRCelciTitle	2


/*****
 *        Dialog Definitions
 *****/
#define DLOGAbout	128
#define DLOGNetwork	129
#define DLOGTherm	130

#define DItmOK		1
#define DItmCancel	2

/* Network Dialog Items */
#define DItmAddr	3
#define DItmPort	4
#define DItmTime	5
#define DItmSearch	6
#define DItmNCel	7
#define DItmNFah	8
#define DItmTimeout	9

/* Thermometer Dialog Items */
#define DItmMin	3
#define DItmMax	4
#define DItmTCel	5
#define DItmTFah	6

#define STRPrefsName	128
#define STRPrefsFolder	129


/* cursor movement stuff 'acur' */
#define ACURNetWait	1000

#define CREATOR	'thm'
#define PREFTYPE 'pef'

#define PREFVERSION 1


/*****
 *        Type Definitions
 *****/
typedef enum forc { farenheit, celcius } ForC; 

typedef struct netprefsrec {
	char	name[256];
	short	port;
	short	interval;
	char	search[256];
	ForC	scale;
	short	timeout;
}netPrefsRec;

typedef struct thermprefsrec {
	short	min;
	short	max;
	ForC	scale;
}thermPrefsRec;

typedef struct prefsfilerec {
	short			version;
	netPrefsRec		netPrefs;
	thermPrefsRec	thermPrefs;
	Point			windowPos;
	short			height;
	short			width;
}prefsFileRec;
